[B003/4-0]Backend Search Job Status

get
https://connect.patsnap.com/bio-openapi/sequence/job/status
Try in Sandbox

Check Backend Search Job Status.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
job_id
Required
string953a406a18d84dc8b13f0b923e406a43
ID of the search job in backend, use this ID for subsequent API calls

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
status
stringSUCCESS
Backend job status, including following valid status. QUEUEING,RUNNING,SUCCESS,TIMEOUT,ERROR
message
stringInvalid input xxx
Detailed message of ERROR status
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "status": "SUCCESS",
    "message": "Invalid input xxx"
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found
53000002Unable to find job id.

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms